import os
import requests
from dotenv import load_dotenv

# Загрузка переменных окружения из файла .env
load_dotenv()

# Получение токена из переменной окружения
TOKEN = os.getenv("token")

if not TOKEN:
    raise ValueError("Токен не найден. Проверьте файл .env и переменные окружения!")

# Заголовки для запроса
headers = {
    "Authorization": f"token {TOKEN}",
    "Content-Type": "application/json"
}

# Данные для создания репозитория
data = {
    "name": "sane4ch4ka_repo3_task3",
    "description": "Репозиторий создан с помощью программы token2, написанной на Python",
    "private": False
}

# URL API для создания репозитория
url = "https://git.vyatsu.ru/api/v1/user/repos"

# Отправка запроса на создание репозитория
response = requests.post(url, json=data, headers=headers)

# Вывод результата
if response.status_code == 201:
    print(f"Репозиторий '{data['name']}' успешно создан!")
else:
    print(f"Ошибка при создании репозитория: {response.status_code}")
    print(response.json())
